Test and Measurement Forum

Trouble with install on OS X Yosemite 10.10.5

Having problems ? let us know the details here

Trouble with install on OS X Yosemite 10.10.5

Postby ebok » Fri Sep 11, 2015 4:55 pm

Hi!

I'm new to Picoscopes. Our lab has several Picoscope 5000's and I'm trying to get the Picoscope software to run on my Mac laptop (Yosemite 10.10.5).

I installed the software from your web site (PicoScope 6.11.6.31 & Drivers - Mac OS X). I also installed the most recent version of Mono MDK from their web site (4.0.4 SR 4 (4.0.4.1)). I confirmed Mono is installed and running by following the instructions for their hello world program, and that works OK. But starting up the Picoscope software gives me the "Mono installation not found. Go to Mono Project download page now?" message. I tried re-installing both software packages - no luck. I also tried copying the mono framework from MacHD/Library/Frameworks to MacHD/System/Library/Frameworks, so that it's in both locations, but that didn't change anything either (maybe a bad idea to have both on there?).

I read on an older post that I might have to modify the Path which specifies how Picoscope looks for mono. Do you think that's the issue, and if so can you provide instructions?

Thanks,
Ed
ebok
Newbie
 
Posts: 0
Joined: Fri Sep 11, 2015 4:38 pm

Re: Trouble with install on OS X Yosemite 10.10.5

Postby Martyn » Tue Sep 22, 2015 12:42 pm

The picoscope installation script will do

MONOCMD=$( which mono 2>/dev/null )

to check for mono, and if the result is empty the mono not found dialog will be shown.

Therefore mono needs to be present in the Path so check with

echo $PATH

Later in the install process the library path will be set as

"/Library/Frameworks/Mono.framework/Versions/Current/lib"
Martyn
Technical Specialist
Martyn
Site Admin
Site Admin
 
Posts: 2338
Joined: Fri Jun 10, 2011 8:15 am
Location: St. Neots

Re: Trouble with install on OS X Yosemite 10.10.5

Postby gonzalo.sanchez » Tue Sep 22, 2015 10:01 pm

I did have Mono in my PATH, but I got the same message. I also tried with the 3.12 version from MacPorts, with similar results (all MacPorts applications are in my PATH, by the way).

The solution I just found was to use version 3.4 (as mentioned here: topic14197.html), which I downloaded from this site:
- http://download.mono-project.com/archiv ... os-10-x86/

I actually installed the .185 MRE:
- http://download.mono-project.com/archiv ... in.x86.pkg

Now that I type this post, I realize the 'latest' Mono download (4.0.4) is actually for the MDK, not the MRE; maybe this is the cause of the issue?
gonzalo.sanchez
Newbie
 
Posts: 0
Joined: Tue Sep 22, 2015 9:48 pm

Re: Trouble with install on OS X Yosemite 10.10.5

Postby ebok » Fri Sep 25, 2015 2:08 pm

Changing the PATH did not help, but installing the .185 MRE fixed the issue.
- http://download.mono-project.com/archiv ... in.x86.pkg

Thanks, Gonzalo!
ebok
Newbie
 
Posts: 0
Joined: Fri Sep 11, 2015 4:38 pm


Return to Getting Started

Who is online

Users browsing this forum: No registered users and 0 guests